{ lib,  ... }:
{
  # boot.initrd.supportedFilesystems = [ "ext4" "btrfs" "ext2" "ext3" "vfat" ];
  # Use the systemd-boot EFI boot loader.
  boot.loader.grub.enable = false;
  # boot.loader.systemd-boot.enable = true;
  # boot.loader.systemd-boot.configurationLimit = 20;  # keep this many generations
  # boot.loader.efi.canTouchEfiVariables = true;
  boot.loader.generic-extlinux-compatible.enable = true;
  mobile.bootloader.enable = lib.mkForce false;

  # boot.loader.grub.enable = true;
  # boot.loader.grub.efiSupport = true;
  # boot.loader.grub.efiInstallAsRemovable = true;
  # boot.loader.grub.device = "nodev";

  hardware.enableRedistributableFirmware = true;

  fileSystems."/boot" = {
    device = "/dev/disk/by-label/ESP";
    fsType = "vfat";
  };

  fileSystems."/" = {
    device = "/dev/disk/by-label/nixos-img";
    fsType = "ext4";
  };
}
